--- title: "Note" slug: "server-api-ticketing-note" updated: 2022-06-16T07:31:40Z published: 2022-06-16T07:31:40Z canonical: "developer.comm100.com/server-api-ticketing-note" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Note ## Note Note of the ticket. - `Note` - Note Manage - `GET ticketing/notes/{id}` - [Get a single Note](/docs/server-api-ticketing-note#get-a-single-note) - `GET ticketing/tickets/{id}/notes` - [Get the list of Note](/docs/server-api-ticketing-note#get-the-list-of-note) - `POST ticketing/notes` - [Create a new Note](/docs/server-api-ticketing-note#create-a-new-note) ### Note JSON Format Note is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the ticket note. | | `ticketId` | selfIncrementId | Id of the ticket which the note belongs to. | | `agentId` | guid | Id of the agent who sent the note. | | `createdTime` | datetime | Time when the note was created. | | `text` | string | Content of the note. You can pass both plaintext and base64 encoded text. If the request containing plaintext is blocked by comm100 WAF, use base64 format. When using base64, add "data:text/plain;base64," before the content. | | `attachments` | [attachments[]](/docs/server-api-ticketing-note#noteattachment-json-format) | Reference to NoteAttachment. | | `noteMentions` | [noteMentions[]](/docs/server-api-ticketing-note#notemention-json-format) | Reference to NoteMention. | ### NoteAttachment JSON Format: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the attachment. | | `noteId` | guid | Id of the note which the attachment belongs to. | | `fileKey` | string | Unique key in file service. | | `name` | string | Name of the attachment. | | `size` | integer | Size of the attachment. | | `type` | string | Type of the attachment. Allowed values are "video", "audio", "image", "file". | | `url` | string | Download URL of the attachment. | ### NoteMention JSON Format: | Name | Type | Description | | --- | --- | --- | | `isReadByAgent` | bool | Whether the mention has been read by agent or not. | | `noteId` | guid | Id of the note which the mention belongs to. | | `id` | guid | Id of the mention. | | `agentId` | guid | Id of the mentioned agent. | | `ticketId` | selfIncrementId | Id of the ticket which the note belongs to. | ### Get a single Note `GET ticketing/notes/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are "ticketingNoteAttachment", "ticketingNoteMention", "agent". | - #### Response: [Note](/docs/server-api-ticketing-note#note-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/ticketing/notes/4d103607-f113-4884-8f7e-735f6fefdbf9 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "4d103607-f113-4884-8f7e-735f6fefdbf9", "ticketId": "11", "agentId": "28ae8e63-4b5c-4504-a8fe-004eb34fdd15", "createdTime": "2021-04-26T10:52:24.336Z", "text": "data:text/plain;base64,MTEx", "attachments": [ { "id": "ebab1bdc-e74c-4e7d-aa35-810393199e9b", "noteId": "4d103607-f113-4884-8f7e-735f6fefdbf9", "fileKey": "isqo-ngLG1Vw7Uh0ieeIGXSjVoAX2DhmQKeWmi7", "name": "my file", "size": 10, "type": "file", "url": "http://myfile/url" } ], "noteMentions": [ { "isReadByAgent": false, "noteId": "4d103607-f113-4884-8f7e-735f6fefdbf9", "id": "277ed089-94de-4751-926e-bcae2fde95d4", "agentId": "bdf96bad-890f-4af5-8f4e-42d2cc29e61b", "ticketId": "11" } ] } ``` ### Get the list of Note `GET ticketing/tickets/{id}/notes` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are "ticketingNoteAttachment", "ticketingNoteMention", "agent". | - #### Response: An array of [Note](/docs/server-api-ticketing-note#note-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/ticketing/tickets/4d103607-f113-4884-8f7e-735f6fefdbf9/notes \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "4d103607-f113-4884-8f7e-735f6fefdbf9", "ticketId": "11", "agentId": "28ae8e63-4b5c-4504-a8fe-004eb34fdd15", "createdTime": "2021-04-26T10:52:24.336Z", "text": "data:text/plain;base64,MTEx", "attachments": [ { "id": "ebab1bdc-e74c-4e7d-aa35-810393199e9b", "noteId": "4d103607-f113-4884-8f7e-735f6fefdbf9", "fileKey": "isqo-ngLG1Vw7Uh0ieeIGXSjVoAX2DhmQKeWmi7", "name": "my file", "size": 10, "type": "file", "url": "http://myfile/url" } ], "noteMentions": [ { "isReadByAgent": false, "noteId": "4d103607-f113-4884-8f7e-735f6fefdbf9", "id": "277ed089-94de-4751-926e-bcae2fde95d4", "agentId": "bdf96bad-890f-4af5-8f4e-42d2cc29e61b", "ticketId": "11" } ] } ] ``` ### Create a new Note `POST ticketing/notes` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `ticketId` | selfIncrementId | body | yes | Id of the ticket which the note belongs to. | | `text` | string | body | no | Content of the note. You can pass both plaintext and base64 encoded text. If the request containing plaintext is blocked by comm100 WAF, use base64 format. When using base64, add "data:text/plain;base64," before the content. | | `attachments` | [attachments[]](/docs/server-api-ticketing-note#noteattachment-json-format) | body | no | The list of note attachment. | - #### Response: [Note](/docs/server-api-ticketing-note#note-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/ticketing/notes \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"ticketId":"11","text":"data:text/plain;base64,MTEx","attachments":[{"fileKey":"isqo-ngLG1Vw7Uh0ieeIGXSjVoAX2DhmQKeWmi7","name":"my file","size":10,"type":"file","url":"http://myfile/url"}],"noteMentions":[{"isReadByAgent":false,"agentId":"bdf96bad-890f-4af5-8f4e-42d2cc29e61b","ticketId":"11"}]}' ``` Response: HTTP/1.1 201 Created ``` { "id": "4d103607-f113-4884-8f7e-735f6fefdbf9", "ticketId": "11", "agentId": "28ae8e63-4b5c-4504-a8fe-004eb34fdd15", "createdTime": "2021-04-26T10:52:24.336Z", "text": "data:text/plain;base64,MTEx", "attachments": [ { "id": "ebab1bdc-e74c-4e7d-aa35-810393199e9b", "noteId": "4d103607-f113-4884-8f7e-735f6fefdbf9", "fileKey": "isqo-ngLG1Vw7Uh0ieeIGXSjVoAX2DhmQKeWmi7", "name": "my file", "size": 10, "type": "file", "url": "http://myfile/url" } ], "noteMentions": [ { "isReadByAgent": false, "noteId": "4d103607-f113-4884-8f7e-735f6fefdbf9", "id": "277ed089-94de-4751-926e-bcae2fde95d4", "agentId": "bdf96bad-890f-4af5-8f4e-42d2cc29e61b", "ticketId": "11" } ] } ```